%{?mingw_package_header}

Name:           mingw-SDL2
Version:        2.30.12
Release:        %mkrel 1
Summary:        MinGW Windows port of SDL2 cross-platform multimedia library

License:        LGPLv2+
Group:          Development/Other
URL:            https://www.libsdl.org/
Source0:        https://www.libsdl.org/release/SDL2-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  dos2unix

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++

%ifarch %{ix86}
BuildRequires: nasm
%endif


%description
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.


# Win32
%package -n mingw32-SDL2
Summary:        MinGW Windows port of SDL cross-platform multimedia library

%description -n mingw32-SDL2
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.

# Win32 (static)
%package -n mingw32-SDL2-static
Summary:        MinGW Windows port of SDL cross-platform multimedia library
Requires:       mingw32-SDL2 = %{version}-%{release}

%description -n mingw32-SDL2-static
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.

# Win64
%package -n mingw64-SDL2
Summary:        MinGW Windows port of SDL cross-platform multimedia library

%description -n mingw64-SDL2
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.

# Win64 (static)
%package -n mingw64-SDL2-static
Summary:        MinGW Windows port of SDL cross-platform multimedia library
Requires:       mingw64-SDL2 = %{version}-%{release}

%description -n mingw64-SDL2-static
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n SDL2-%{version}


%build
%mingw_cmake -DSDL_STATIC=ON -DSDL_STATIC_PIC=ON
%mingw_make_build


%install
%mingw_make_install

rm -rf %{buildroot}%{mingw32_datadir}/licenses
rm -rf %{buildroot}%{mingw64_datadir}/licenses


# Win32
%files -n mingw32-SDL2
%license LICENSE.txt
%{mingw32_bindir}/SDL2.dll
%{mingw32_bindir}/sdl2-config
%{mingw32_libdir}/libSDL2.dll.a
%{mingw32_libdir}/libSDL2main.a
%{mingw32_libdir}/libSDL2_test.a
%{mingw32_libdir}/cmake/SDL2/
%exclude %{mingw32_libdir}/cmake/SDL2/*static*
%{mingw32_libdir}/pkgconfig/sdl2.pc
%{mingw32_datadir}/aclocal/sdl2.m4
%{mingw32_includedir}/SDL2

# Win32 (static)
%files -n mingw32-SDL2-static
%{mingw32_libdir}/libSDL2.a
%{mingw32_libdir}/cmake/SDL2/*static*

# Win64
%files -n mingw64-SDL2
%license LICENSE.txt
%{mingw64_bindir}/SDL2.dll
%{mingw64_bindir}/sdl2-config
%{mingw64_libdir}/libSDL2.dll.a
%{mingw64_libdir}/libSDL2main.a
%{mingw64_libdir}/libSDL2_test.a
%{mingw64_libdir}/cmake/SDL2/
%exclude %{mingw64_libdir}/cmake/SDL2/*static*
%{mingw64_libdir}/pkgconfig/sdl2.pc
%{mingw64_datadir}/aclocal/sdl2.m4
%{mingw64_includedir}/SDL2

# Win64 (static)
%files -n mingw64-SDL2-static
%{mingw64_libdir}/libSDL2.a
%{mingw64_libdir}/cmake/SDL2/*static*


%changelog
* Mon Feb 03 2025 daviddavid <daviddavid> 2.30.12-1.mga10
+ Revision: 2144869
- new version: 2.30.12

* Thu Jan 02 2025 daviddavid <daviddavid> 2.30.11-1.mga10
+ Revision: 2134828
- new version: 2.30.11

* Mon Dec 09 2024 daviddavid <daviddavid> 2.30.10-1.mga10
+ Revision: 2123028
- new version: 2.30.10

* Wed Oct 02 2024 daviddavid <daviddavid> 2.30.8-1.mga10
+ Revision: 2102676
- new version: 2.30.8

* Tue Aug 13 2024 daviddavid <daviddavid> 2.30.6-1.mga10
+ Revision: 2086526
- new version: 2.30.6

* Sat Jul 13 2024 daviddavid <daviddavid> 2.30.5-1.mga10
+ Revision: 2080929
- new version: 2.30.5

* Fri Jul 05 2024 daviddavid <daviddavid> 2.30.4-1.mga10
+ Revision: 2079823
- new version: 2.30.4

* Thu May 09 2024 daviddavid <daviddavid> 2.30.3-1.mga10
+ Revision: 2063146
- new version: 2.30.3

* Wed Apr 24 2024 daviddavid <daviddavid> 2.30.2-1.mga10
+ Revision: 2060789
- new version: 2.30.2

* Mon Apr 01 2024 daviddavid <daviddavid> 2.30.1-1.mga10
+ Revision: 2053613
- new version: 2.30.1

* Sun Nov 05 2023 daviddavid <daviddavid> 2.28.5-1.mga10
+ Revision: 2004564
- new version: 2.28.5

* Thu Oct 12 2023 daviddavid <daviddavid> 2.28.4-1.mga10
+ Revision: 1995238
- new version: 2.28.4

* Thu Sep 07 2023 daviddavid <daviddavid> 2.28.3-1.mga10
+ Revision: 1984967
- new version: 2.28.3

* Tue Feb 07 2023 daviddavid <daviddavid> 2.26.3-1.mga9
+ Revision: 1939245
- new version: 2.26.3

* Wed Jan 04 2023 daviddavid <daviddavid> 2.26.2-1.mga9
+ Revision: 1929743
- new version: 2.26.2

* Wed Nov 23 2022 daviddavid <daviddavid> 2.26.0-1.mga9
+ Revision: 1910429
- new version 2.26.0

* Sat Aug 27 2022 tv <tv> 2.24.0-1.mga9
+ Revision: 1881069
- Fix packaging static cmake config

* Wed Jun 29 2022 tv <tv> 2.0.22-2.mga9
+ Revision: 1866546
- Fix packaging static cmake config

* Sun May 01 2022 tv <tv> 2.0.22-1.mga9
+ Revision: 1855303
- Update to 2.0.22

* Thu Mar 24 2022 umeabot <umeabot> 2.0.20-2.mga9
+ Revision: 1825148
- Mageia 9 Mass Rebuild

* Sat Mar 05 2022 tv <tv> 2.0.20-1.mga9
+ Revision: 1788981
- Update to 2.0.20
- Switch to building with CMake
- Use newer macros
- Fix -lmingw32 order in in SDL_LIBS

* Tue Dec 22 2020 daviddavid <daviddavid> 2.0.14-1.mga8
+ Revision: 1662825
- new version: 2.0.14

* Sat Sep 26 2020 tv <tv> 2.0.12-3.mga8
+ Revision: 1630225
- rebuild for new mingw stack

* Fri Sep 25 2020 akien <akien> 2.0.12-2.mga8
+ Revision: 1630102
- Rebuild for new mingw-gcc

* Wed Mar 11 2020 daviddavid <daviddavid> 2.0.12-1.mga8
+ Revision: 1555451
- new version: 2.0.12

* Sat Feb 15 2020 umeabot <umeabot> 2.0.10-2.mga8
+ Revision: 1527866
- Mageia 8 Mass Rebuild

* Fri Jul 26 2019 daviddavid <daviddavid> 2.0.10-1.mga8
+ Revision: 1424274
- new version: 2.0.10

* Fri Nov 02 2018 daviddavid <daviddavid> 2.0.9-1.mga7
+ Revision: 1327704
- new version: 2.0.9

* Thu Sep 20 2018 umeabot <umeabot> 2.0.8-2.mga7
+ Revision: 1279519
- Mageia 7 Mass Rebuild

* Wed Mar 14 2018 akien <akien> 2.0.8-1.mga7
+ Revision: 1209318
- Version 2.0.8

* Tue Oct 24 2017 akien <akien> 2.0.7-1.mga7
+ Revision: 1173226
- Version 2.0.7

* Tue Oct 17 2017 akien <akien> 2.0.6-1.mga7
+ Revision: 1172303
- Version 2.0.6
- Add upstream patch to fix CVE-2017-2888 (mga#21882)

* Fri Nov 18 2016 akien <akien> 2.0.5-1.mga6
+ Revision: 1068240
- Drop no longer relevant patches (thus syncing with Fedora 2.0.5-1.fc26)
+ neoclust <neoclust>
- imported package mingw-SDL2


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Sep 15 2015 Anonymous Maarten <anonymous.maarten@gmail.com> - 2.0.3-7
- Added static package.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Mar 29 2015 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.0.3-5
- Don't try to re-implement D3D11 pieces which are already part of mingw-w64
- Workaround a gcc compatibility issue

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 16 2014 Marcel Wysocki <maci@satgnu.net> - 2.0.3-3
- Fix rpmlint warnings

* Tue May 13 2014 Marcel Wysocki <maci@satgnu.net> - 2.0.3-2
- Removed redundant BuildRequires

* Mon May 12 2014 Marcel Wysocki <maci@satgnu.net> - 2.0.3-1
- Initial rpm
